<template>
    <dl class="mt-5 grid grid-cols-1 gap-5 sm:grid-cols-3">
        <TickerCard
            v-for="ticker in tickers"
            :key="ticker.name"
            :class="{
                'border-4': selectedTicker === ticker.name,
                'bg-red-400': !isTickerExists(ticker.name)
            }"
            :ticker="ticker"
            @select-ticker="$emit('update:selected-ticker', ticker.name)"
            @remove-ticker="removeTicker"
        />
    </dl>
</template>

<script>
    import TickerCard from "@/components/TickerCard";

    export default {
        components: {
            TickerCard
        },

        props: {
            tickers: {
                type: Array,
                default: () => []
            },

            coinList: {
                type: Array,
                default: () => []
            },

            selectedTicker: {
                type: Array,
                default: () => []
            }
        },

        methods: {
            isTickerExists (tokenName) {
                if (!this.coinList.length) {
                    return true;
                }

                return this.coinList.find(ticker => ticker.Symbol === tokenName);
            },

            removeTicker (tickerName) {
                this.$emit('remove-ticker', tickerName)
            }
        }
    }
</script>